from Menu import Menu
from Utils import Utils

##
# @mainpage Projet Open Quiz
# Cette application à pour objectif de définir une version minimaliste du projet OpenQuiz
#
# @section intro_sec Fonctionnalités
# 1. Choisir un auteur parmi trois choix
# 2. Un menu proposant diverses options est affiché
#   - 0 : Importer un contenu
#   - 1 : Consulter le panier
#   - 2 : Aller à la banque de contenu
#   - 3 : Revenir au menu
#   - 4 : Supprimer un contenu
#   - 5 : Créer une évaluation
#   - 6 : Consulter les évaluations
#   - 7 : Modifier un contenu
#   - 8 : Naviguer dans un contenu (a venir)
#   - 9 : Rechercher un contenu dans la banque (a venir)\n
#   - 10 : Consulter les contenus en cours de modification\n
#   - 11 : Gérer les demandes de publication\n
#   - 12 : Mises à jour de favoris\n

#   <b> (Il manquera les fonctionnalités à propos des tags libres "privés", la notation contenu / auteur, la gestion de la "popularité" des versions) </b>\n
#   \n
#   0 -> Ouvre un menu permettant l'import d'un fichier (deux choix sont disponibles) \n
#   1 -> Permet de consulter les contenus importées & celles mises en favori \n
#   2 -> Permet de consulter les contenus d'auteurs tiers & de les mettre en favori \n
#   3 -> Retourne sur le choix de l'auteur \n
#   4 -> "Renier la paternité" d'une question \n
#   5 -> Créer un regroupement de contenus \n
#   6 -> Consulter les évaluations crééees \n
#   7 -> Permet de modifier un des fichiers importé OU un des favoris \n
#   8 -> Permet de sélectionner un contenu et une version particulière. Sera intégré, à terme, dans le panier
#   9 -> Recherche par auteur, date, tag (imposés / libres), contenu / titre, note DANS LA BANQUE OU DANS LE PANIER \n
#   10 -> Par la suite, les contenus "en cours" seront disponibles dans le panier\n
#   11 -> Demandes de publication recues et émises
#   12 -> Sera intégré, à terme, dans le panier

# @section Les plugins et outils utilisés sont :
# Doxygen 1.8.17 (& l'outil DoxyWizard, plus facile à manipuler)
# Python 3.8.5
# Mongodb 4.4.5
# plugins python (pip3 20.0.2) : gitpython 3.1.14,  pymongo 3.11.3

# @section Installation :
# Cloner le projet sur le disque
# Installer les outils mentionnés ci dessus
# Modifier le chemin présent à la ligne 21 du fichier Utils.py (et le remplacer par le chemin ou vous avez cloné le dépôt git)
# Lancer Main.py, soit directement à la main, soit via un IDE configuré pour ça (environnement virtual utilisable)

Menu()

#Utils.initialiseMongo()
#Utils.getContenuFichiers()
